Index: TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java
===================================================================
--- TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 3283)
+++ TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/preferences/InternalViewPreferences.java	(revision 3284)
@@ -37,9 +37,9 @@
 		super.initializeDefaultPreferences();
 		Preferences preferences = this.getDefaultPreferencesNode();
 		
-		preferences.put(STRUCTURAL_UNIT, TBXPreferences.DEFAULT_STRUCTURAL_UNIT);
+		preferences.put(STRUCTURAL_UNIT, "");
 		preferences.put(UNIT_PROPERTIES, TBXPreferences.DEFAULT_UNIT_PROPERTY);
-		preferences.put(STRUCTURAL_UNIT_PROPERTIES, TBXPreferences.DEFAULT_STRUCTURAL_UNIT_PROPERTY);
+		preferences.put(STRUCTURAL_UNIT_PROPERTIES, "");
 		preferences.putInt(CURRENT_PAGE, 0);
 	}
-}
+}
\ No newline at end of file
Index: TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3283)
+++ TXM/main/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 3284)
@@ -3,6 +3,7 @@
 import java.io.File;
 import java.io.PrintWriter;
 import java.util.ArrayList;
+import java.util.Arrays;
 import java.util.Collection;
 import java.util.HashMap;
 import java.util.LinkedHashMap;
@@ -91,7 +92,29 @@
 	public boolean loadParameters() throws Exception {
 		try {
 			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT);
-			this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
+			if (str.length() == 0) {
+				try {
+					StructuralUnit struct = this.getCorpus().getStructuralUnit("text");
+					if (struct != null) {
+						this.pStructuralUnit = struct;
+					}
+					struct = this.getCorpus().getStructuralUnit("div");
+					if (struct != null) {
+						this.pStructuralUnit = struct;
+					}
+					struct = this.getCorpus().getStructuralUnit("p");
+					if (struct != null) {
+						this.pStructuralUnit = struct;
+					}
+				}
+				catch (CqiClientException e1) {
+					// TODO Auto-generated catch block
+					e1.printStackTrace();
+				}
+			} else {
+				this.pStructuralUnit = this.getCorpus().getStructuralUnit(str);
+			}
+			
 		}
 		catch (Exception e) {
 			Log.printStackTrace(e);
@@ -105,7 +128,18 @@
 		}
 		try {
 			String str = this.getStringParameterValue(TXMPreferences.STRUCTURAL_UNIT_PROPERTIES);
-			this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
+			if (str.length() == 0) {
+				StructuralUnitProperty structP = pStructuralUnit.getProperty("id");
+				if (structP != null) {
+					this.pStructuralUnitsProperties = Arrays.asList(structP);
+				}
+				structP = pStructuralUnit.getProperty("n");
+				if (structP != null) {
+					this.pStructuralUnitsProperties = Arrays.asList(structP);
+				}
+			} else {
+				this.pStructuralUnitsProperties = StructuralUnitProperty.stringToProperties(this.getCorpus(), str);
+			}
 		}
 		catch (Exception e3) {
 			Log.printStackTrace(e3);
@@ -365,9 +399,6 @@
 		this.setDirty();
 	}
 	
-	
-	
-	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		System.err.println("InternalView.setParameters(): not yet implemented.");
@@ -438,4 +469,4 @@
 		return InternalViewCoreMessages.RESULT_TYPE;
 	}
 	
-}
+}
\ No newline at end of file
Index: TXM/main/org.txm.rcp/plugin.xml
===================================================================
--- TXM/main/org.txm.rcp/plugin.xml	(revision 3283)
+++ TXM/main/org.txm.rcp/plugin.xml	(revision 3284)
@@ -1031,7 +1031,7 @@
             <command
                   commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
                   icon="icons/functions/update.png"
-                  label="Update corpus"
+                  label="%command.name.98"
                   style="push"
                   tooltip="Only the modified XML-TXM files will update the texts">
                <visibleWhen
@@ -1046,7 +1046,7 @@
             <command
                   commandId="org.txm.rcp.commands.workspace.UpdateCorpus"
                   icon="icons/functions/update.png"
-                  label="Force corpus update"
+                  label="%command.name.981"
                   style="push"
                   tooltip="All texts will be updated from the XML-TXM files">
                <visibleWhen
Index: TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 3283)
+++ TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 3284)
@@ -318,6 +318,7 @@
 command.name.96=TextToConcordance
 command.name.97=Enregistrer les annotations
 command.name.98=Mettre à jour le corpus
+command.name.981=Forcer la mise à jour du corpus
 command.name.99=Vue référentiels
 command.tooltip=Ouvrir dans un navigateur web
 command.tooltip.0=Afficher la fenêtre des préférences
Index: TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle.properties	(revision 3283)
+++ TXM/main/org.txm.rcp/OSGI-INF/l10n/bundle.properties	(revision 3284)
@@ -306,6 +306,7 @@
 command.name.96=TextToConcordance
 command.name.97=Save Annotations
 command.name.98=Update corpus
+command.name.981=Force update corpus
 command.name.99=KR view
 command.tooltip=Open in a web browser
 command.tooltip.0=Open the settings windows
Index: TXM/main/org.txm.core/src/java/org/txm/xml/DOMIdentityHook.java
===================================================================
--- TXM/main/org.txm.core/src/java/org/txm/xml/DOMIdentityHook.java	(revision 3283)
+++ TXM/main/org.txm.core/src/java/org/txm/xml/DOMIdentityHook.java	(revision 3284)
@@ -73,9 +73,9 @@
 			parentParser.writer.writeCharacters("\n");
 			Element e = (Element) node;
 			NodeList children = e.getChildNodes();
+			String ns = e.getNamespaceURI();
+			String ln = e.getLocalName();
 			if (children.getLength() > 0) {
-				String ns = e.getNamespaceURI();
-				String ln = e.getLocalName();
 				if (ns == null) {
 					parentParser.writer.writeStartElement(ln);
 				} else {
@@ -83,7 +83,11 @@
 				}
 			}
 			else {
-				parentParser.writer.writeEmptyElement(e.getNamespaceURI(), e.getLocalName());
+				if (ns == null) {
+					parentParser.writer.writeEmptyElement(ln);
+				} else {
+					parentParser.writer.writeEmptyElement(ns, ln);
+				}
 			}
 			
 			for (int i = 0; i < e.getAttributes().getLength(); i++) {
@@ -102,11 +106,17 @@
 			}
 			if (children.getLength() > 0) {
 				parentParser.writer.writeEndElement();
-				parentParser.writer.writeCharacters("\n");
+				//parentParser.writer.writeCharacters("\n");
 			}
 		}
 		else if (node.getNodeType() == Node.TEXT_NODE) {
 			parentParser.writer.writeCharacters(node.getTextContent());
+		} else if (node.getNodeType() == Node.PROCESSING_INSTRUCTION_NODE) {
+			parentParser.writer.writeProcessingInstruction(node.getNodeName(), node.getNodeValue());
+		} else if (node.getNodeType() == Node.CDATA_SECTION_NODE) {
+			parentParser.writer.writeCData(node.getNodeValue());
+		} else if (node.getNodeType() == Node.COMMENT_NODE) {
+			parentParser.writer.writeComment(node.getNodeValue());
 		}
 	}
 	
@@ -139,4 +149,4 @@
 	
 	@Override
 	protected void processEntityReference() throws XMLStreamException {}
-}
+}
\ No newline at end of file
Index: TXM/main/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/main/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3283)
+++ TXM/main/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3284)
@@ -1383,15 +1383,16 @@
 	
 	
 	public void goToPage(String text, String name) {
-		Text newText = this.synopticEditionEditor.getCorpus().getProject().getText(text);
-		if (newText == null) {
-			return;
+		if (text != null) {
+			Text newText = this.synopticEditionEditor.getCorpus().getProject().getText(text);
+			if (newText == null) {
+				return;
+			}
+			if (!newText.equals(currentText)) {
+				setText(newText, false);
+			}
 		}
-		if (!newText.equals(currentText)) {
-			setText(newText, false);
-		}
 		
-		
 		Page next = currentEdition.getPageForName(name);
 		// System.out.println(Messages.TxmBrowser_4+currentPage);
 		if (next != null) {
